Subject: [Errata Rejected] RFC5952 (4986)

From: RFC Errata System <[email-masked]>
Date: Sun, 26 Dec 2021 18:05:21 -0800 (PST)

The following errata report has been rejected for RFC5952,
"A Recommendation for IPv6 Address Text Representation".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid4986

--------------------------------------
Status: Rejected
Type: Editorial

Reported by: Julian de Prado <[email-masked]>
Date Reported: 2017-03-31
Rejected by: Erik Kline (IESG)

Section: 2.2

Original Text
-------------
'A special syntax is available to compress the zeros. The use of
"::" indicates one or more groups of 16 bits of zeros.'

Corrected Text
--------------
'A special syntax is available to compress the zeros. The use of
"::" indicates two or more groups of 16 bits of zeros.'

Notes
-----
"indicates one" should be written as "indicates two"

 for example:
'A special syntax is available to compress the zeros. The use of
"::" indicates two or more groups of 16 bits of zeros.'

2001:db8:aaaa:bbbb:cccc::1

2001:db8:aaaa:bbbb:cccc:0:0:1
 --VERIFIER NOTES-- 
RFC 4291, section 2.2, #2 is clear that the current text is valid.  Section 4.2.2 contains a specific recommendation for the defined canonical form in this situation.  The canonical form is (must be) valid, but not all valid forms are canonical (of necessity :-).

To reach the working group discussion see this thread: https://mailarchive.ietf.org/arch/msg/ipv6/41x17WLwxBoS6AAtH6p0nuC84sk/

--------------------------------------
RFC5952 (draft-ietf-6man-text-addr-representation-07)
--------------------------------------
Title               : A Recommendation for IPv6 Address Text Representation
Publication Date    : August 2010
Author(s)           : S. Kawamura, M. Kawashima
Category            : PROPOSED STANDARD
Source              : IPv6 Maintenance
Area                : Internet
Stream              : IETF
Verifying Party     : IESG